// Project 10 – Custom Functions with Internal Variables

#include <avr/io.h>
#include <util/delay.h>

void delay_ms(int ms) 
{ 
    uint8_t i;
    for (i = 0; i < ms; i++) 
    { 
        _delay_ms(1); 
    } 
}

void blinkLED(uint8_t blinks) 
{
    uint8_t i;
    for (i = 0; i < blinks; i++)
    {
        PORTB = 0b11111111;
        _delay_ms(100);
        PORTB = 0b00000000;
        _delay_ms(100);
    }
}

int main(void)
{
    DDRB = 0b11111111; // set PB3 as output
    for(;;)
    {
        blinkLED(10);      
        _delay_ms(3000);
    }
    return 0;             
}
