// Project 11 - Custom functions That Return Values
#include <avr/io.h>
#include <util/delay.h>
 
void blinkLED(uint8_t blinks)
{
    uint8_t i;
    for (i = 0; i < blinks; i++)
    {
        PORTB = 0b11111111;
        _delay_ms(100);
        PORTB = 0b00000000;
        _delay_ms(100);
    }
}

uint8_t timesThree(uint8_t subject)
{
    uint8_t product;
    product = subject * 3;
    return product;
}

int main(void)
{
    DDRB = 0b11111111; // set PB3 as output
    uint8_t j;
    uint8_t k;
    for(;;)
    {
        j = 4;
        k = timesThree(j);
        blinkLED(k);
        _delay_ms(2000);
    }
    return 0;             
}
