// Project 38 - Experimenting with ATtiny85 EEPROM

#include <avr/io.h>
#include <util/delay.h>
#include <avr/eeprom.h>

int main(void)
{
    DDRB = 0b00001111; // set PORTB3~0 to output for LEDs
	
    int a;
	
    while (1) 
    {
        // write 0~15 to location 0~15 
        for (a=0; a<16; a++)
        {
            eeprom_update_byte((uint8_t*)a, a); 	
        }
        // read location 0~15 slowly, display data on LEDs 
        for (a=0; a<16; a++)
        {
            PORTB = eeprom_read_byte((uint8_t*)a);
            _delay_ms(250);
        }
	
        // turn off LEDs
        PORTB = 0b00000000;
    }
}